<!doctype html public "-/w3c/dtd html 4.0 transitional/en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <title>LDAS CIT database Insertion Rates</title>
</head>
<body>

<pre><b><font size=+2>LDAS CIT Database Insertion Rates</font></b></pre>
<font size=-2>
<table cellpadding=1>
<tr>
    <th align=left width=150>Test Period</th>
    <td>December, 1999</td>
</tr>
<tr>
    <th align=left width=150>Input data</th>
    <td>Ilwd with dimensions 10, 100</td>
    <td>
</tr>
<tr>
    <th align=left width=150>Platform</th>
    <td>deneb.ligo.caltech.edu (SUN Ultra 1, RAM=128MB, Solaris 2.7)</td>
    <td>
</tr>
<tr>
    <th align=left width=150>LDAS software</th>
    <td>ldas-0.0.6</td>
    <td>
</tr>
</table></font>

<pre><i><font size=-1>Results are displayed in the order inserted.</i></font></pre>

<table border type=1><font size=-1>
<tr>
    <th align=left width=200>Table</th>
    <th width=100>#rows per block insert</th>
    <th width=100>CPU time (secs)</th>
    <th width=100>Wall Time (secs)</th>
    <th width=100>Rate (#rows/sec)</th>
</tr>
<th align=left width=100>process</th>             
    <td align=right>10</td>
    <td align=right>0.52</td>
    <td align=right>6</td>
    <td align=right>1.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">4.75</td>
    <td align=right bgcolor="#ffe6cd">78</td>
    <td align=right bgcolor="#ffe6cd">1.28</td>
</tr>
<th align=left width=100>process_params</th>             
    <td align=right>10</td>
    <td align=right>0.22</td>
    <td align=right>10</td>
    <td align=right>1.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.07</td>
    <td align=right bgcolor="#ffe6cd">37</td>
    <td align=right bgcolor="#ffe6cd">2.70</td>
</tr>
<th align=left width=100>frameset_chanlist</th>             
    <td align=right>10</td>
    <td align=right>0.27</td>
    <td align=right>11</td>
    <td align=right>0.91</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_chanlist</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">1.78</td>
    <td align=right bgcolor="#ffe6cd">41</td>
    <td align=right bgcolor="#ffe6cd">2.44</td>
</tr>
<th align=left width=100>frameset_writer</th>             
    <td align=right>10</td>
    <td align=right>0.39</td>
    <td align=right>9</td>
    <td align=right>1.11</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_writer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.83</td>
    <td align=right bgcolor="#ffe6cd">40</td>
    <td align=right bgcolor="#ffe6cd">2.50</td>
</tr>
<th align=left width=100>frameset</th>             
    <td align=right>10</td>
    <td align=right>0.55</td>
    <td align=right>5</td>
    <td align=right>2.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">3.52</td>
    <td align=right bgcolor="#ffe6cd">53</td>
    <td align=right bgcolor="#ffe6cd">1.89</td>
</tr>
<th align=left width=100>frameset_loc</th>             
    <td align=right>10</td>
    <td align=right>0.33</td>
    <td align=right>10</td>
    <td align=right>1.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_loc</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">3.03</td>
    <td align=right bgcolor="#ffe6cd">53</td>
    <td align=right bgcolor="#ffe6cd">1.87</td>
</tr>
<th align=left width=100>segment_definer</th>             
    <td align=right>10</td>
    <td align=right>0.22</td>
    <td align=right>14</td>
    <td align=right>0.71</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment_definer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">1.85</td>
    <td align=right bgcolor="#ffe6cd">38</td>
    <td align=right bgcolor="#ffe6cd">2.63</td>
</tr>
<th align=left width=100>segment</th>             
    <td align=right>10</td>
    <td align=right>0.30</td>
    <td align=right>6</td>
    <td align=right>1.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.11</td>
    <td align=right bgcolor="#ffe6cd">30</td>
    <td align=right bgcolor="#ffe6cd">3.33</td>
</tr>
<th align=left width=100>summ_value</th>             
    <td align=right>10</td>
    <td align=right>0.55</td>
    <td align=right>18</td>
    <td align=right>0.56</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_value</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">3.97</td>
    <td align=right bgcolor="#ffe6cd">66</td>
    <td align=right bgcolor="#ffe6cd">1.52</td>
</tr>
<th align=left width=100>summ_statistics</th>             
    <td align=right>10</td>
    <td align=right>0.62</td>
    <td align=right>11</td>
    <td align=right>0.91</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_statistics</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">6.16</td>
    <td align=right bgcolor="#ffe6cd">91</td>
    <td align=right bgcolor="#ffe6cd">1.09</td>
</tr>
<th align=left width=100>summ_comment</th>             
    <td align=right>10</td>
    <td align=right>0.65</td>
    <td align=right>16</td>
    <td align=right>0.63</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_comment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">4.9</td>
    <td align=right bgcolor="#ffe6cd">84</td>
    <td align=right bgcolor="#ffe6cd">1.19</td>
</tr>
<th align=left width=100>summ_spectrum</th>             
    <td align=right>10</td>
    <td align=right>0.57</td>
    <td align=right>17</td>
    <td align=right>0.59</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_spectrum</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">4.12</td>
    <td align=right bgcolor="#ffe6cd">89</td>
    <td align=right bgcolor="#ffe6cd">1.12</td>
</tr>
<th align=left width=100>filter</th>             
    <td align=right>10</td>
    <td align=right>0.34</td>
    <td align=right>5</td>
    <td align=right>2.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.42</td>
    <td align=right bgcolor="#ffe6cd">43</td>
    <td align=right bgcolor="#ffe6cd">2.33</td>
</tr>
<th align=left width=100>filter_params</th>             
    <td align=right>10</td>
    <td align=right>0.32</td>
    <td align=right>4</td>
    <td align=right>2.50</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.63</td>
    <td align=right bgcolor="#ffe6cd">41</td>
    <td align=right bgcolor="#ffe6cd">2.44</td>
</tr>
<th align=left width=100>gds_trigger</th>             
    <td align=right>10</td>
    <td align=right>0.47</td>
    <td align=right>8</td>
    <td align=right>1.25</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">gds_trigger</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">6.58</td>
    <td align=right bgcolor="#ffe6cd">90</td>
    <td align=right bgcolor="#ffe6cd">1.11</td>
</tr>
<th align=left width=100>sngl_inspiral</th>             
    <td align=right>10</td>
    <td align=right>0.61</td>
    <td align=right>9</td>
    <td align=right>1.11</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">5.65</td>
    <td align=right bgcolor="#ffe6cd">75</td>
    <td align=right bgcolor="#ffe6cd">1.33</td>
</tr>
<th align=left width=100>sngl_burst</th>             
    <td align=right>10</td>
    <td align=right>0.68</td>
    <td align=right>6</td>
    <td align=right>1.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">4.72</td>
    <td align=right bgcolor="#ffe6cd">57</td>
    <td align=right bgcolor="#ffe6cd">1.75</td>
</tr>
<th align=left width=100>sngl_ringdown</th>             
    <td align=right>10</td>
    <td align=right>0.47</td>
    <td align=right>6</td>
    <td align=right>1.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_ringdown</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">4.77</td>
    <td align=right bgcolor="#ffe6cd">59</td>
    <td align=right bgcolor="#ffe6cd">1.69</td>
</tr>
<th align=left width=100>sngl_unmodeled</th>             
    <td align=right>10</td>
    <td align=right>0.52</td>
    <td align=right>7</td>
    <td align=right>1.43</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">5.51</td>
    <td align=right bgcolor="#ffe6cd">54</td>
    <td align=right bgcolor="#ffe6cd">1.85</td>
</tr>
<th align=left width=100>sngl_unmodeled_v</th>             
    <td align=right>10</td>
    <td align=right>0.39</td>
    <td align=right>3</td>
    <td align=right>3.33</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled_v</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">2.85</td>
    <td align=right bgcolor="#ffe6cd">30</td>
    <td align=right bgcolor="#ffe6cd">3.33</td>
</tr>
<th align=left width=100>sngl_dperiodic</th>             
    <td align=right>10</td>
    <td align=right>0.58</td>
    <td align=right>17</td>
    <td align=right>0.59</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_dperiodic</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">5.41</td>
    <td align=right bgcolor="#ffe6cd">101</td>
    <td align=right bgcolor="#ffe6cd">0.99</td>
</tr>
<th align=left width=100>sngl_datasource</th>             
    <td align=right>10</td>
    <td align=right>0.45</td>
    <td align=right>15</td>
    <td align=right>0.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_datasource</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">3.46</td>
    <td align=right bgcolor="#ffe6cd">53</td>
    <td align=right bgcolor="#ffe6cd">1.89</td>
</tr>
<th align=left width=100>sngl_transdata</th>             
    <td align=right>10</td>
    <td align=right>0.84</td>
    <td align=right>13</td>
    <td align=right>0.77</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_transdata</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">3.98</td>
    <td align=right bgcolor="#ffe6cd">89</td>
    <td align=right bgcolor="#ffe6cd">1.12</td>
</tr>
<th align=left width=100>multi_inspiral</th>             
    <td align=right>10</td>
    <td align=right>0.49</td>
    <td align=right>13</td>
    <td align=right>0.77</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">5.97</td>
    <td align=right bgcolor="#ffe6cd">85</td>
    <td align=right bgcolor="#ffe6cd">1.18</td>
</tr>
<th align=left width=100>multi_burst</th>             
    <td align=right>10</td>
    <td align=right>0.61</td>
    <td align=right>8</td>
    <td align=right>1.25</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">6.21</td>
    <td align=right bgcolor="#ffe6cd">70</td>
    <td align=right bgcolor="#ffe6cd">1.43</td>
</tr>
<th align=left width=100>coinc_sngl</th>             
    <td align=right>10</td>
    <td align=right>1.21</td>
    <td align=right>15</td>
    <td align=right>0.67</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">coinc_sngl</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">13.78</td>
    <td align=right bgcolor="#ffe6cd">132</td>
    <td align=right bgcolor="#ffe6cd">0.76</td>
</tr>
</table></font>
<p>Summary: 
<ol>
<li>Insertion rate is very slow on deneb due to small memory.</li>
<li>Smaller tables insert faster. Tables with blobs such summ_spectrum
and sngl_transdata insert slowest.</li>
<li>No significant memory leaks were seen during the insertion. The size
of metadataAPI process remains around 12MB. <li>

</body>
</html>

